Bug 1291334 - Exécutable : kdeinit5 PID : 1013 Signal : Segmentation fault (11)
Exécutable : kdeinit5 PID : 1013 Signal : Segmentation fault (11)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kinit (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 10:20 EST by dominique
Modified: 2017-08-08 08:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:31:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dominique 2015-12-14 10:20:49 EST
Description of problem:


I use kde5 on fedora24 rawhide, but since more days I can't launch kde-desktop.
I have this error : 
Version-Release number of selected component (if applicable):

Exécutable : kdeinit5 PID : 1013 Signal : Segmentation fault (11)

And I have this report : 

Application: kdeinit5 (kdeinit5), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f363e21d8c0 (LWP 1013))]

Thread 6 (Thread 0x7f360d87f700 (LWP 1025)):
#0  0x00007f363b8b78dd in poll () at /lib64/libc.so.6
#1  0x00007f3639d283ac in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f3639d284bc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f3639d284f9 in glib_worker_main () at /lib64/libglib-2.0.so.0
#4  0x00007f3639d4ecd5 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#5  0x00007f363aefd6da in start_thread () at /lib64/libpthread.so.0
#6  0x00007f363b8c33ed in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7f360d07e700 (LWP 1026)):
#0  0x00007f363b8b78dd in poll () at /lib64/libc.so.6
#1  0x00007f3639d283ac in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f3639d28732 in g_main_loop_run () at /lib64/libglib-2.0.so.0
#3  0x00007f360e1a8316 in gdbus_shared_thread_func () at /lib64/libgio-2.0.so.0
#4  0x00007f3639d4ecd5 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#5  0x00007f363aefd6da in start_thread () at /lib64/libpthread.so.0
#6  0x00007f363b8c33ed in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7f35fd7e2700 (LWP 1036)):
#0  0x00007f363b8b78dd in poll () at /lib64/libc.so.6
#1  0x00007f3639d283ac in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f3639d284bc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f363c6fad6b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007f363c6a375a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007f363c4cf864 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007f36159eb3d7 in KCupsConnection::run() () at /lib64/libkcupslib.so
#7  0x00007f363c4d47d8 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007f363aefd6da in start_thread () at /lib64/libpthread.so.0
#9  0x00007f363b8c33ed in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7f35fcfe1700 (LWP 1037)):
#0  0x00007f363b8b78dd in poll () at /lib64/libc.so.6
#1  0x00007f3639d283ac in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f3639d284bc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f363c6fad6b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007f363c6a375a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007f363c4cf864 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007f363c4d47d8 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007f363aefd6da in start_thread () at /lib64/libpthread.so.0
#8  0x00007f363b8c33ed in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7f35f5739700 (LWP 1201)):
[KCrash Handler]
#4  0x00007f362bb7682b in QNetworkConfigurationManagerPrivate::pollEngines() () at /lib64/libQt5Network.so.5
#5  0x00007f362bbf323d in QNetworkConfigurationManagerPrivate::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libQt5Network.so.5
#6  0x00007f363c6d22b0 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#7  0x00007f363c6deae8 in QTimer::timerEvent(QTimerEvent*) () at /lib64/libQt5Core.so.5
#8  0x00007f363c6d30a3 in QObject::event(QEvent*) () at /lib64/libQt5Core.so.5
#9  0x00007f363c6a5b8b in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#10 0x00007f363c6f9c3e in QTimerInfoList::activateTimers() () at /lib64/libQt5Core.so.5
#11 0x00007f363c6fa171 in timerSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQt5Core.so.5
#12 0x00007f3639d2807a in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#13 0x00007f3639d28410 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#14 0x00007f3639d284bc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#15 0x00007f363c6fad4f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#16 0x00007f363c6a375a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#17 0x00007f363c4cf864 in QThread::exec() () at /lib64/libQt5Core.so.5
#18 0x00007f363c4d47d8 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#19 0x00007f363aefd6da in start_thread () at /lib64/libpthread.so.0
#20 0x00007f363b8c33ed in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7f363e21d8c0 (LWP 1013)):
#0  0x00007f363af03340 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f363c4d568b in QWaitCondition::wait(QMutex*, unsigned long) () at /lib64/libQt5Core.so.5
#2  0x00007f363c4ce4bb in QSemaphore::acquire(int) () at /lib64/libQt5Core.so.5
#3  0x00007f363c6d24ff in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#4  0x00007f363c6d2c2f in QObject::destroyed(QObject*) () at /lib64/libQt5Core.so.5
#5  0x00007f363c6d96f5 in QObject::~QObject() () at /lib64/libQt5Core.so.5
#6  0x00007f361dd25f89 in Breeze::Style::~Style() () at /usr/lib64/qt5/plugins/styles/breeze.so
#7  0x00007f363c6d25ee in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#8  0x00007f363c6d2c2f in QObject::destroyed(QObject*) () at /lib64/libQt5Core.so.5
#9  0x00007f363c6d96f5 in QObject::~QObject() () at /lib64/libQt5Core.so.5
#10 0x00007f361dd3d4e7 in Breeze::StylePlugin::~StylePlugin() () at /usr/lib64/qt5/plugins/styles/breeze.so
#11 0x00007f363c69ab29 in QLibraryPrivate::unload(QLibraryPrivate::UnloadFlag) () at /lib64/libQt5Core.so.5
#12 0x00007f363c690af2 in QFactoryLoaderPrivate::~QFactoryLoaderPrivate() () at /lib64/libQt5Core.so.5
#13 0x00007f363c690c29 in QFactoryLoaderPrivate::~QFactoryLoaderPrivate() () at /lib64/libQt5Core.so.5
#14 0x00007f363c6d9adc in QObject::~QObject() () at /lib64/libQt5Core.so.5
#15 0x00007f363c68fcda in QFactoryLoader::~QFactoryLoader() () at /lib64/libQt5Core.so.5
#16 0x00007f363d03eb49 in (anonymous namespace)::Q_QGS_loader::innerFunction()::Holder::~Holder() () at /lib64/libQt5Widgets.so.5
#17 0x00007f363b7f81d8 in __run_exit_handlers () at /lib64/libc.so.6
#18 0x00007f363b7f8225 in  () at /lib64/libc.so.6
#19 0x00007f363d78f215 in _XDefaultIOError () at /lib64/libX11.so.6
#20 0x00007f3621d058ae in ioErrorHandler(_XDisplay*) () at /lib64/libQt5XcbQpa.so.5
#21 0x00007f363d78f43e in _XIOError () at /lib64/libX11.so.6
#22 0x00007f363d78d49a in _XReply () at /lib64/libX11.so.6
#23 0x00007f363d77325d in XGetWindowProperty () at /lib64/libX11.so.6
#24 0x00007f35f44957c8 in X11Helper::getGroupNames(_XDisplay*, XkbConfig*, X11Helper::FetchType) () at /usr/lib64/qt5/plugins/kf5/kded/keyboard.so
#25 0x00007f35f4496b88 in X11Helper::getLayoutsList() () at /usr/lib64/qt5/plugins/kf5/kded/keyboard.so
#26 0x00007f35f4497716 in X11Helper::getCurrentLayout() () at /usr/lib64/qt5/plugins/kf5/kded/keyboard.so
#27 0x00007f35f4480aa2 in KeyboardDaemon::~KeyboardDaemon() () at /usr/lib64/qt5/plugins/kf5/kded/keyboard.so
#28 0x00007f35f4481189 in KeyboardDaemon::~KeyboardDaemon() () at /usr/lib64/qt5/plugins/kf5/kded/keyboard.so
#29 0x00007f36226c1271 in Kded::~Kded() () at /lib64/libkdeinit5_kded5.so
#30 0x00007f36226c8a88 in kdemain () at /lib64/libkdeinit5_kded5.so
#31 0x000055dc7063d8fc in launch(int, char const*, char const*, char const*, int, char const*, bool, char const*, bool, char const*) ()
#32 0x000055dc7063aa9c in main ()
Comment 1 Jan Kurik 2016-02-24 10:32:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:38:11 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:31:25 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.